#! /usr/bin/env python

"""
config.py - Global objects configuration file

copyright: (C) 2003, Tom Chance
license:   GNU General Public License (GPL) (see LICENSE file)
web:       http://quickrip.sf.net
email:     tomchance@gmx.net
"""

import os

app = "QuickRip"
author = "Tom Chance <tomchance@gmx.net>"
version = "0.8"
date = "2003-07-31"
copyright = "(C) 2003 Tom Chance"
license = "GNU General Public License (GPL) (see LICENSE file)"
paths = os.environ['PATH'].split(":")
#paths = ['/bin', '/usr/bin/', '/usr/local/bin/', '/opt/bin/', '/sbin/', '/usr/sbin/', '/usr/X11R6/lib/X11/bin']
icon = os.path.join("icons", "quickrip.xpm")
qr_dir = "/usr/share/quickrip"
