#!/bin/sh
# Install script for QuickRip

echo Checking for dependencies...

PYTHON=`which python`
if [ $PYTHON ]; then
	echo "python found at: $PYTHON"
else
	echo "python not found!"
	exit 1
fi

#PYQT=`which sip`
python -c "from qt import qVersion, PYQT_VERSION"
PYQT=$?
if [ $PYQT -eq 0 ]; then
	echo "PyQt found."
    #(sip found at: $PYQT)"
else
	echo "PyQt not found!"
	exit 1
fi

MPLAYER=`which mplayer`
if [ $MPLAYER ]; then
	echo "mplayer found at: $MPLAYER"
else
	echo "mplayer not found!"
	exit 1
fi

MENCODER=`which mencoder`
if [ $MENCODER ]; then
	echo "mencoder found at: $MENCODER"
else
	echo "mencoder not found!"
	exit 1
fi

TCPROBE=`which tcprobe`
if [ $TCPROBE ]; then
	echo "tcprobe found at: $TCPROBE"
else
	echo "tcprobe not found!"
	exit 1
fi

echo 
echo Changing to root to install files

su -c "mkdir -p /usr/share/quickrip && cp *.py README LICENSE quickriprc /usr/share/quickrip && chmod a+x /usr/share/quickrip/quickrip.py && ln -sf /usr/share/quickrip/quickrip.py /usr/bin/quickrip && cp quickrip.1.gz /usr/man/man1"

echo
echo You can now run \'quickrip\' to use the program
echo If you have any problems using QuickRip, please
echo contact me and I\'ll see if I can help. Feel free
echo to use the icons provided in the "icons" directory.